@package: oEmbed
-
functionwp_oembed_add_host_js()
Adds the necessary JavaScript to communicate with the embedded iframes.
-
functionget_post_embed_url()
Retrieves the URL to embed a specific post in an iframe.
-
hookpost_embed_url
Filters the URL to embed a specific post.
-
functionget_oembed_endpoint_url()
Retrieves the oEmbed endpoint URL for a given permalink.
-
Filters the oEmbed endpoint URL.
-
functionget_post_embed_html()
Retrieves the embed code for a specific post.
-
hookembed_html
Filters the embed HTML output for a given post.
-
functionwp_oembed_register_route()
Registers the oEmbed REST API route.
-
Filters the site title HTML in the embed footer.
-
Takes a URL and returns the corresponding oEmbed provider’s URL, if there is one.
-
Adds an oEmbed provider.
-
Removes an oEmbed provider.
-
Filters oEmbed remote get arguments.
-
methodWP_oEmbed::__call()
Exposes private/protected methods for backward compatibility.
-
Filters the YouTube embed output.
-
functionwp_embed_handler_youtube()
YouTube iframe embed handler callback.
-
hookoembed_dataparse
Filters the returned oEmbed HTML.
-
Strips any new lines from the HTML.
-
Serves as a helper function for parsing an XML response body.
-
hookoembed_providers
Filters the list of sanctioned oEmbed providers.
-
methodWP_oEmbed::data2html()
Converts a data object from WP_oEmbed::fetch() and returns the HTML.
-
methodWP_oEmbed::get_html()
The do-it-all function that takes a URL and attempts to return the HTML.
-
hookoembed_result
Filters the HTML returned by the oEmbed provider.
-
methodWP_oEmbed::discover()
Attempts to discover link tags at the given URL for an oEmbed provider.
-
hookoembed_linktypes
Filters the link types that contain oEmbed provider URLs.
-
methodWP_oEmbed::fetch()
Connects to an oEmbed provider and returns the result.
-
hookoembed_fetch_url
Filters the oEmbed URL to be fetched.
-
Fetches result from an oEmbed provider for a specific format and complete provider URL
-
methodWP_oEmbed::_parse_json()
Parses a json response body.
-
classWP_oEmbed
Core class used to implement oEmbed functionality.